server:
  port: 443
  ssl:
    key-store: classpath:9564748_api.jiayuepowertech.com.pfx
    key-store-type: PKCS12
    key-store-password: JY[7d28439aff975b7e01a6bde97cc460afbf70308b07b023809bf9d839e61284bb22ed37382bc5cd497b651b1f0e9e16befb8f590920cd9d2f452d30bcd8a06762199423c6f524f2085e66a3691fff57e7dd960714a8cc26da64f85a49ce18be812494fb33f29eea00]
    enabled-protocols: "TLSv1.2"
    ciphers: "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256"
  servlet:
    session:
     cookie:
       http-only: true
       secure: true
logging:
  config: classpath:logback-forecast.xml

#设置提供的服务名
spring:
  application:
    name: ssq-mybatis-plus
  #配置数据库
  datasource:
    druid:
      stat-view-servlet.enabled: false
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://localhost:3306/ssi?useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8&autoReconnect=true&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
    username: JY[15a0b9e58aef5b73fbbc12ce85ab5046b22a703e45019dbf7dd7041c8c60ea061cca717220548d86baa4cab57ebcc42db62172178c4cc299f243cfe7a3550e3b367284368dc3a183b350b92b810da5b2030a647aaede5baf735c6dcc77700a5325773e91]
    password: JY[bbe20dde79320dfbe7bca925e07c57c13d079c72f1547fb97023020262a339f2a293e466cfc9ee9f0cb7c139bdcb78bccdf0fe9090a3da72a09f645873af6a7696c286540112c2d0f634a15ed013827d078b6edd6afc45df94278d5cd0da622a2c88f5e52b4ad5b7ab]

  #邮箱基本配置
  mail:
    #配置smtp服务主机地址
    # qq邮箱为smtp.qq.com          端口号465或587
    # sina    smtp.sina.cn
    # aliyun  smtp.aliyun.com
    # 163     smtp.163.com       端口号465或994
    host: smtp.263.net
    #发送者邮箱
    username: JY[a531e2eb485e917e9a6d7a723d874c87e377f9dcfd2c8f67b4a6b2a21a981ffef69e5ac9ee14ff3ba9172a53093ebdd9a5527eccf297073c561fdc38ac9180489f463a5f246508f9aa646267967c7f08d2f4536fa5a7522277dcb6c7a98a12511689d1513fba04db29cc6d7bea222225334ce4ffbdb79718417713f36b]
    #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
    password: JY[e9cd08a9b1d7cde0abfc1dc613bf15133feaeeb8a0a96882e94a2e93d3a5ec95f1d14457ca308cb7c6a788fe88e76201cd843c1c40c0c4b70b60fb2450d1c0c213587748f8cdfe79002e3f00ed90d33905f3108708f32738b4b87fff5fe6ca4cf0457d669c5f60e5dd2f5b83]
    #端口号465或587
    port: 465
    #默认的邮件编码为UTF-8
    default-encoding: UTF-8
    #其他参数
    properties:
      mail:
        #配置SSL 加密工厂
        smtp:
          ssl:
            #本地测试，先放开ssl
            enable: true
            required: false
          #开启debug模式，这样邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: false

mybatis-plus:
  typeAliasesPackage: com.jiayue.center.entity
  configuration:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
  mapper-locations: classpath:mapper/system/*.xml
  global-config:
    db-column-underline: true
    logic-delete-field: del_flag
    logic-delete-value: 1
    logic-not-delete-value: 0
